<template>
     <div class="the-style-selector">
        <select class="the-edit-bar-input" ref="placeholder_input" @change="insertContent">
            <option value="">Add Placeholder</option>
            <template v-for="option in options">
                <optgroup v-if="option.group" :label="option.group">
                    <option v-for="item in option.options" :value="item.value">{{item.label}}</option>
                </optgroup>
                <option v-else :value="option.value">{{option.label}}</option>
            </template>
            </select>
        </div>
</template>

<script lang="ts" setup>
import type { TheEditor } from '../TheEditor';
import { ref } from 'vue'

const props = defineProps<{
    editor: TheEditor,
}>()

const placeholder_input = ref<HTMLSelectElement>()
const insertContent = (e: Event) => {
    let value = (e.target as HTMLInputElement).value
    if (value == '') return
    props.editor.chain().focus().insertContent({type: 'contentPlaceholder', attrs: {value: value}}).run()
    placeholder_input.value!.value = ''
}
const options = props.editor.extensionManager.extensions.filter(ex => ex.name == 'contentPlaceholder')[0].options.options
</script>